Veuillez patienter...
/
https://forum.claroline.net/
/
/themes/claroline/bootstrap.css?v=373695b0789add75084adaa2e947337f
fr_FR
Vous utilisez un navigateur non pris en charge. Pour éviter tout fonctionnement indésirable, veuillez utiliser une version récente d'un navigateur majeur. (http://browsehappy.com). Internet Explorer est supporté à partir de la version 11.

[Sujet] Erreur après composer update --prefer-dist --no-dev

Messages par page
Auteur Messages

05/07/2018 14:20

Bonjour,

Je rencontre les problèmes suivant en tentant une mise à jour:

 

Après avoir lancé 

composer update --prefer-dist --no-dev

Le message suivant apparait:

 

Writing lock file
Generating autoload files
> composer bundles
PHP Warning: require(/var/www/vhosts/XXXX/httpdocs/claroline-connect/vendor/composer/../symfony/phpunit-bridge/bootstrap.php): failed to open stream: No such file or directory in /var/www/vhosts/XXXX/httpdocs/claroline-connect/vendor/composer/autoload_real.php on line 66
PHP Fatal error: require(): Failed opening required '/var/www/vhosts/XXXX/httpdocs/claroline-connect/vendor/composer/../symfony/phpunit-bridge/bootstrap.php' (include_path='.:/usr/share/php') in /var/www/vhosts/XXXX/httpdocs/claroline-connect/vendor/composer/autoload_real.php on line 66
Script composer bundles handling the post-update-cmd event returned with error code 255

 

 

___________

Apres avoir lancé

npm run bower

 le message suivant apparait

 

> claroline@1.0.0 bower /var/www/vhosts/XXXX/httpdocs/claroline-connect

> node_modules/bower/bin/bower update --allow-root

 

bower cached        ./vendor/claroline/distribution#1.0.0

bower validate      1.0.0 against ./vendor/claroline/distribution#*

bower new           version for ./vendor/claroline/distribution#1.0.0

bower resolve       ./vendor/claroline/distribution#1.0.0

bower resolved      ./vendor/claroline/distribution#1.0.0

bower cached        https://github.com/iCAPLyon1/tinymceMentionPlugin.git#9baea090fe

bower validate      9baea090fe against https://github.com/iCAPLyon1/tinymceMentionPlugin.git#9baea090feca3c53dd3019adefda2a37932c97d6

bower cached        https://github.com/jongilbraith/jquery-option-tree.git#6b7137ec6e

bower validate      6b7137ec6e against https://github.com/jongilbraith/jquery-option-tree.git#6b7137ec6e

bower cached        https://github.com/goat1000/TagCanvas.git#ab3cb98be8

bower validate      ab3cb98be8 against https://github.com/goat1000/TagCanvas.git#ab3cb98be8753247d674a385a17c085a2dc950db

bower cached        https://github.com/iCAPLyon1/ui-calendar.git#7b4d604d8b

bower validate      7b4d604d8b against https://github.com/iCAPLyon1/ui-calendar.git#7b4d604d8beb07e3a4a174dc52fcd9dafa594d09

bower cached        https://github.com/ngodfraind/angular-data-table.git#f806461592

bower validate      f806461592 against https://github.com/ngodfraind/angular-data-table.git#f80646159282c7487c90ff9b13a850112e4aa030

bower cached        https://github.com/strophe/strophejs.git#1.2.7

bower validate      1.2.7 against https://github.com/strophe/strophejs.git#1.2.7

bower cached        https://github.com/ESTOS/strophe.jingle.git#529df0b12c

bower validate      529df0b12c against https://github.com/ESTOS/strophe.jingle.git#529df0b12cae47ca4a0e74172f7c0b83a57e68e7

bower cached        https://github.com/maxailloud/confirm-bootstrap.git#d436ee942d

bower validate      d436ee942d against https://github.com/maxailloud/confirm-bootstrap.git#d436ee942d

bower cached        https://github.com/strophe/strophejs-plugins.git#0.0.6

bower validate      0.0.6 against https://github.com/strophe/strophejs-plugins.git#0.0.6

bower cached        https://github.com/christiaan/tinymce-codemirror.git#20c1bbe708

bower validate      20c1bbe708 against https://github.com/christiaan/tinymce-codemirror.git#20c1bbe708

bower cached        https://github.com/jqPlot/jqPlot.git#080c6de5a6

bower validate      080c6de5a6 against https://github.com/jqPlot/jqPlot.git#080c6de5a6

bower cached        https://github.com/datejs/Datejs.git#71afdd79a4

bower validate      71afdd79a4 against https://github.com/datejs/Datejs.git#71afdd79a4

bower cached        https://github.com/otalk/hark.git#1.1.4

bower validate      1.1.4 against https://github.com/otalk/hark.git#1.1.4

bower cached        https://github.com/bassjobsen/typeahead.js-bootstrap-css.git#1.2.1

bower validate      1.2.1 against https://github.com/bassjobsen/typeahead.js-bootstrap-css.git#1.2.1

bower short-sha     Consider using longer commit SHA to avoid conflicts

bower short-sha     Consider using longer commit SHA to avoid conflicts

bower short-sha     Consider using longer commit SHA to avoid conflicts

bower short-sha     Consider using longer commit SHA to avoid conflicts

bower short-sha     Consider using longer commit SHA to avoid conflicts

bower EINVRES       Request to https://bower.herokuapp.com/packages/angular-i18n failed with 502

npm ERR! code ELIFECYCLE

npm ERR! errno 1

npm ERR! claroline@1.0.0 bower: `node_modules/bower/bin/bower update --allow-root`

npm ERR! Exit status 1

npm ERR!

npm ERR! Failed at the claroline@1.0.0 bower script.

npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

 

npm ERR! A complete log of this run can be found in:

npm ERR!     /root/.npm/_logs/2018-07-05T12_21_51_815Z-debug.log

 _______

Après le lancement de

✗ npm run webpack

 Le message suivant apparait

 

 

> claroline@1.0.0 webpack /var/www/vhosts/XXXX/httpdocs/claroline-connect

> export NODE_ENV=production && rm -rf web/dist/* && npm run dll && node_modules/webpack/bin/webpack.js --config=vendor/claroline/distribution/webpack.prod.js --progress --colors --display-error-details && npm run uglify

 

 

> claroline@1.0.0 dll /var/www/vhosts/XXXX/httpdocs/claroline-connect

> node_modules/webpack/bin/webpack.js --config=vendor/claroline/distribution/webpack.dll.js --progress --colors --display-error-details

 

module.js:341

    throw err;

    ^

 

Error: Cannot find module '/var/www/vhosts/XXXX/httpdocs/claroline-connect/vendor/claroline/distribution/webpack.dll.js'

    at Function.Module._resolveFilename (module.js:339:15)

    at Function.Module._load (module.js:290:25)

    at Module.require (module.js:367:17)

    at require (internal/module.js:16:19)

    at module.exports (/var/www/vhosts/XXXX/httpdocs/claroline-connect/node_modules/webpack/bin/convert-argv.js:80:13)

    at Object.<anonymous> (/var/www/vhosts/XXXX/httpdocs/claroline-connect/node_modules/webpack/bin/webpack.js:39:40)

    at Module._compile (module.js:413:34)

    at Object.Module._extensions..js (module.js:422:10)

    at Module.load (module.js:357:32)

    at Function.Module._load (module.js:314:12)

npm ERR! code ELIFECYCLE

npm ERR! errno 1

npm ERR! claroline@1.0.0 dll: `node_modules/webpack/bin/webpack.js --config=vendor/claroline/distribution/webpack.dll.js --progress --colors --display-error-details`

npm ERR! Exit status 1

npm ERR!

npm ERR! Failed at the claroline@1.0.0 dll script.

npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

 

npm ERR! A complete log of this run can be found in:

npm ERR!     /root/.npm/_logs/2018-07-05T12_22_47_677Z-debug.log

npm ERR! code ELIFECYCLE

npm ERR! errno 1

npm ERR! claroline@1.0.0 webpack: `export NODE_ENV=production && rm -rf web/dist/* && npm run dll && node_modules/webpack/bin/webpack.js --config=vendor/claroline/distribution/webpack.prod.js --progress --colors --display-error-details && npm run uglify`

npm ERR! Exit status 1

npm ERR!

npm ERR! Failed at the claroline@1.0.0 webpack script.

npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

 

npm ERR! A complete log of this run can be found in:

npm ERR!     /root/.npm/_logs/2018-07-05T12_22_47_704Z-debug.log

 

Il y a 5 mois